Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper
Class PersistentCollectionChangeData

    java.lang.Object
      org.hibernate.envers.entities.mapper.PersistentCollectionChangeData

    public class PersistentCollectionChangeData

extends Object

Data describing the change of a single object in a persistent collection (when the object was added, removed or modified in the collection).

Constructor Summary
`PersistentCollectionChangeData(String entityName, Map<String,Object> data, Object changedElement)`

Method Summary
`Object` | `getChangedElement()`
`Object` | `getChangedElementIndex()`
`Map<String,Object>` | `getData()`
`String` | `getEntityName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentCollectionChangeData

    public PersistentCollectionChangeData(String entityName,
                                          Map<String,Object> data,
                                          Object changedElement)

Method Detail

### getEntityName

    public String getEntityName()

  Returns:
    Name of the (middle) entity that holds the collection data.

### getData

    public Map<String,Object> getData()

### getChangedElement

    public Object getChangedElement()

  Returns:
    The affected element, which was changed (added, removed, modified) in the collection.

### getChangedElementIndex

    public Object getChangedElementIndex()

  Returns:
    Index of the affected element, or `null` if the collection isn't indexed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.